\section{Introduction}
\label{sec:intro}

Welcome to the SPIIR working group! \\

We've put this document together as a single step towards getting you up to speed with contributing to the project. First things first, if you're not a member yet, \href{http://my.ligo.org/}{here's a link to join LIGO}\footnote{my.ligo.org/}. You will need an {\it albert.einstein} login and password in order to gain CIT cluster access as well as the proprietary GITLab repos. You may also become a member of OzGrav by \href{https://www.ozgrav.org/join-ozgrav.html}{following this link.}\footnote{www.ozgrav.org/join-ozgrav.html} \\



The SPIIR working group has available two remote computational facilities:

- LIGO data grid: consists of multiple remote facilities. Once you have confirmed your LIGO membership you can then 
\href{https://computing.docs.ligo.org/guide/auth/}{get certified by following the instructions from this link.}\footnote{https://computing.docs.ligo.org/guide/auth/}



- \href{https://supercomputing.swin.edu.au/}{Swinburne University's OzStar supercomputer.}\footnote{https://supercomputing.swin.edu.au/} As the name implies, this facility is hosted by Swinburne University but you can get access with your current {\it .edu} student/staff account. You can request a new user account by
\href{https://supercomputing.swin.edu.au/account-management/}{following this link.}\footnote{https://supercomputing.swin.edu.au/account-management/}. A further description is provided in sec \ref{sec:ozstar_env}.\\

A JIRA board is also available in order to have a single space for some documentation, design docs and issue tracking. If you are based at Swinburne then you can simply access the Swinburne JIRA server by  \href{https://jira.swin.edu.au}{following this link.}\footnote{https://jira.swin.edu.au}. If you are not based at Swinburne then, one of the local Swinburne team members needs to submit a request for an external user through the IT Service Portal \footnote{go to {\bf I need something} and then just search for JIRA for the appropriate link}.\\


Currently, there are two main communication methods for brief and task related messaging:

- Skype account: GSTLAL-SPIIR - mainly used as general UWA communication channel.


- Slack channel: spiirworkspace.slack.com - mainly used by tasks involving Swinburne GWDC\footnote{Gravitational Wave Data Centre} and UWA team \\

The Swinburne GWDC team is closely related to Swinburne's Astronomy Data and Computing Services group which also hosts a Learning Module Series that might be of interest (ie. Introduction to Slurm, Version Control with Git and others). You can access these for free by \href{https://lms.adacs.org.au/login/index.php}{following this link.}\footnote{https://lms.adacs.org.au/login/index.php} Please note that the ADACS website is currently\footnote{23rd of March 2019} undergoing a redesign and the previous link will need to be updated. \\

If you follow the above then you should now have:

- access to both computing environments (LDG \& OzStar)

- a way to stay in touch and ask questions (Slack, Skype)

- access to the JIRA board where you can create your own tickets or help with ongoing posted tasks \\

I'll discuss in further detail how to interact and develop for the SPIIR pipeline in sec \ref{sec:ozstar_env} but the suggestions can also applied to any LDG cluster. Welcome again and keep in mind that this is a working document and any suggestions to improve are welcome.







